// Importing the libraries
import { select, json, geoPath, geoMercator} from 'd3';
import { feature } from 'topojson';
// Seleting svg into svg variable
const svg = select('svg');
// Adding the geo projection
const projection = geoMercator();
//  Generating path for projection
const pathGenerator = geoPath().projection(projection);
// Appending path
svg.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));
// Adding json data link to generate world map
json('https://gist.githubusercontent.com/sudhamshu24/4297fd25e7b32c3371fac39afa8f9e93/raw/fbdc0f05d985f2bec9ba3edbda8e3097a1f2ff62/world.json')
  .then(data => {
//  Adding features into countries variable
const countries = feature(data, data.objects.countries);
  svg.selectAll('path').data(countries.features)
      .enter().append('path')
// Adding country class
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });
